/* scompat.h */
/* Copyright INMOS Limited 1992 */
/* Version 1.19 */

#ifndef __SCOMPAT_H
#define __SCOMPAT_H

/*
 * This file is for use with socket programs that need to work with the
 * "reduced" C socket library (isockr.lib) of the Sx07B and the "reduced" C
 * runtime library (libcred.lib) of the D4314A (or later).
 *
 * This file is needed for routines and global variables/defines that are
 * are present with the D4214B and have been removed or changed for the
 * D4314A.
 *
 * This file is NOT needed (and probably won't work) if the "full" C runtime
 * library (libc.lib) is used.
 *
 * *** BE AWARE *** This file will disappear with the release of the Sx07C.
 */

int
max_fd (void)
{
    /*
     * When is a constant not a constant? When it's a kludge!
     */
    return (32);
}

struct
{
    Channel        *__in;	/* from the view point of this processor */
    Channel        *__out;
} _IMS_SystemLink;

#endif
