#ifndef _PARSE_H_
#define _PARSE_H_

#ifdef VAX
/*
 * VAX C seems to think there is a GetName already. This must be because
 * VAX C exports all external symbols in upper-case. Don't try /NAME=AS_IS
 * on compile line - this does not work as planned!
 */
#define GetName	TrGetName
#endif /* VAX */

int GetList(char *line, pkt_obj *list, int listSize, int *listLength);
int GetObject(char *line, pkt_obj *object);
int GetValue(char *line, pkt_obj *object);
int GetName(char *line, char *name, int nameSize);
int GetIndex(char *line, int *index, int indexSize, int *indexLength);
int PutList(pkt_obj *list, int listLength, char *line, int lineSize);
int PutObject(pkt_obj *object, char *line, int lineSize);
int PutIdentifier(pkt_obj *object, char *line, int lineSize);
int PutName(char *name, char *line, int lineSize);
int PutValue(pkt_obj *object, char *line, int lineSize);
int PutIndex(int *index, int indexLength, char *line, int lineSize);
int IsVisible(unsigned char *s, int n);

#endif
