/* inet.h */
/* Copyright INMOS Limited 1990,1991,1992 */
/* Version 1.19 */

#ifndef __ARPA_INET_H
#define __ARPA_INET_H

/*
 * Copyright (c) 1980,1983,1988 Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of California at Berkeley. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */

/*
 * External definitions for
 * functions in inet(3N)
 */
extern unsigned long inet_addr (char *);
extern unsigned long inet_network (char *);
extern struct in_addr inet_makeaddr (int, int);
extern unsigned long inet_lnaof (struct in_addr);
extern unsigned long inet_netof (struct in_addr);
extern char    *inet_ntoa (struct in_addr);

#endif
